### Method

# WebKit WebContext set_preferred_languages

#### Declaration [src]

    void
    webkit_web_context_set_preferred_languages (
      WebKitWebContext* context,
      const gchar* const* languages
    )

#### Description [src]

Set the list of preferred languages.

Set the list of preferred languages, sorted from most desirable to least desirable. The list will be used in the following ways:

- Determining how to build the `Accept-Language` HTTP header that will be included in the network requests started by the `WebKitWebContext`.
- Setting the values of `navigator.language` and `navigator.languages`.
- The first item in the list sets the default locale for JavaScript `Intl` functions.

#### Parameters

`languages`

  Type: An array of `utf8`

  A `NULL`-terminated list of language identifiers.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.